OpenNMS API 1.2.9

## org.opennms.web.eventconf.bobject
Class Event

    java.lang.Object
      org.opennms.web.eventconf.bobject.Event

All Implemented Interfaces:
  java.lang.Cloneable

Deprecated. Replaced by a Castor-generated implementation.

public class Event
extends java.lang.Object
implements java.lang.Cloneable

This is a data class for storing event configuration information as parsed from the eventconf.xml file

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS
See Also:
  `Event`

Field Summary
`static int` `AUTOACKNOWLEDGE_STATE_DEFAULT_INDEX` Deprecated. The index into the CONFIGURATION_STATES array indicating the default state auto acknowlege.
`static java.lang.String[]` `CONFIGURATION_STATES` Deprecated. A generic list of values for various states.
`static int` `LOGMSG_DEST_DEFAULT_INDEX` Deprecated. The index into the LOGMSG_DEST_VALUES array indicating the default destination of the log message .
`static java.lang.String[]` `LOGMSG_DEST_VALUES` Deprecated. The different destination values for the log message.
`private java.lang.String` `m_autoAcknowledge` Deprecated.
`private java.lang.String` `m_autoAcknowledgeState` Deprecated.
`private java.util.List` `m_autoActions` Deprecated.
`private Correlation` `m_correlation` Deprecated.
`private java.lang.String` `m_description` Deprecated.
`private java.util.List` `m_forwards` Deprecated.
`private java.util.List` `m_logGroups` Deprecated.
`private java.lang.String` `m_logMessage` Deprecated.
`private java.lang.String` `m_logMessageDest` Deprecated.
`private java.util.List` `m_maskElements` Deprecated.
`private java.lang.String` `m_mouseOverText` Deprecated.
`private java.util.List` `m_notifications` Deprecated.
`private java.util.List` `m_operActions` Deprecated.
`private java.lang.String` `m_operInstruct` Deprecated.
`private java.lang.String` `m_severity` Deprecated.
`private Snmp` `m_snmp` Deprecated.
`private java.lang.String` `m_tticket` Deprecated.
`private java.lang.String` `m_tticketState` Deprecated.
`private java.lang.String` `m_uei` Deprecated.
`static int` `TTICKET_STATE_DEFAULT_INDEX` Deprecated. The index into the CONFIGURATION_STATES array indicating the default state of an trouble ticket.

Constructor Summary
`Event()` Deprecated. Default constructor, intializes the member variables.

Method Summary
`void` `addAutoAction(AutoAction action)` Deprecated.
`void` `addForward(Forward forward)` Deprecated.
`void` `addLogGroup(java.lang.String logGroup)` Deprecated.
`void` `addMask(MaskElement element)` Deprecated.
`void` `addNotification(java.lang.String notification)` Deprecated.
`void` `addOperatorAction(OperatorAction action)` Deprecated.
`void` `clearAutoActions()` Deprecated.
`void` `clearForwards()` Deprecated.
`void` `clearLogGroups()` Deprecated.
`void` `clearMask()` Deprecated.
`void` `clearNotifications()` Deprecated.
`void` `clearOperatorActions()` Deprecated.
`java.lang.Object` `clone()` Deprecated.
`java.lang.String` `getAutoAcknowledge()` Deprecated.
`java.lang.String` `getAutoAcknowledgeState()` Deprecated.
`java.util.List` `getAutoActions()` Deprecated.
`Correlation` `getCorrelation()` Deprecated.
`java.lang.String` `getDescription()` Deprecated.
`java.util.List` `getForwards()` Deprecated.
`java.util.List` `getLogGroups()` Deprecated.
`java.lang.String` `getLogMessage()` Deprecated.
`java.lang.String` `getLogMessageDestination()` Deprecated.
`java.util.List` `getMask()` Deprecated.
`java.lang.String` `getMouseOverText()` Deprecated.
`int` `getNoticeIndex(java.lang.String matchString)` Deprecated.
`java.util.List` `getNotifications()` Deprecated.
`java.util.List` `getOperatorActions()` Deprecated.
`java.lang.String` `getOperInstruct()` Deprecated.
`java.lang.String` `getSeverity()` Deprecated.
`Snmp` `getSnmp()` Deprecated.
`java.lang.String` `getTTicket()` Deprecated.
`java.lang.String` `getTTicketState()` Deprecated.
`java.lang.String` `getUei()` Deprecated.
`void` `removeMaskAt(int index)` Deprecated.
`void` `removeNoticeContaining(java.lang.String matchString)` Deprecated.
`void` `setAutoAcknowledge(java.lang.String autoAcknowledge)` Deprecated.
`void` `setAutoAcknowledgeState(java.lang.String state)` Deprecated.
`void` `setCorrelation(Correlation correlation)` Deprecated.
`void` `setDescription(java.lang.String description)` Deprecated.
`void` `setLogMessage(java.lang.String logMessage)` Deprecated.
`void` `setLogMessageDest(java.lang.String dest)` Deprecated.
`void` `setMouseOverText(java.lang.String text)` Deprecated.
`void` `setOperInstruct(java.lang.String operInstruct)` Deprecated.
`void` `setSeverity(java.lang.String severity)` Deprecated.
`void` `setSnmp(Snmp snmp)` Deprecated.
`void` `setTticket(java.lang.String tticket)` Deprecated.
`void` `setTticketState(java.lang.String state)` Deprecated.
`void` `setUei(java.lang.String uei)` Deprecated.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_maskElements

    private java.util.List m_maskElements

  Deprecated.

### m_uei

    private java.lang.String m_uei

  Deprecated.

### m_snmp

    private Snmp m_snmp

  Deprecated.

### m_description

    private java.lang.String m_description

  Deprecated.

### m_logMessage

    private java.lang.String m_logMessage

  Deprecated.

### m_logMessageDest

    private java.lang.String m_logMessageDest

  Deprecated.

### m_severity

    private java.lang.String m_severity

  Deprecated.

### m_correlation

    private Correlation m_correlation

  Deprecated.

### m_operInstruct

    private java.lang.String m_operInstruct

  Deprecated.

### m_autoActions

    private java.util.List m_autoActions

  Deprecated.

### m_operActions

    private java.util.List m_operActions

  Deprecated.

### m_autoAcknowledge

    private java.lang.String m_autoAcknowledge

  Deprecated.

### m_autoAcknowledgeState

    private java.lang.String m_autoAcknowledgeState

  Deprecated.

### m_logGroups

    private java.util.List m_logGroups

  Deprecated.

### m_notifications

    private java.util.List m_notifications

  Deprecated.

### m_tticket

    private java.lang.String m_tticket

  Deprecated.

### m_tticketState

    private java.lang.String m_tticketState

  Deprecated.

### m_forwards

    private java.util.List m_forwards

  Deprecated.

### m_mouseOverText

    private java.lang.String m_mouseOverText

  Deprecated.

### LOGMSG_DEST_VALUES

    public static final java.lang.String[] LOGMSG_DEST_VALUES

  Deprecated.
  The different destination values for the log message. If this array changes please update the LOGMSG_DEST_DEFAULT_INDEX member if needed.

### LOGMSG_DEST_DEFAULT_INDEX

    public static final int LOGMSG_DEST_DEFAULT_INDEX

  Deprecated.
  The index into the LOGMSG_DEST_VALUES array indicating the default destination of the log message . If the values array changes please update this index if needed.

  See Also:
    Constant Field Values

### CONFIGURATION_STATES

    public static final java.lang.String[] CONFIGURATION_STATES

  Deprecated.
  A generic list of values for various states. If this array changes please update any of the XXX_STATE_DEFAULT_INDEX members if needed.

### AUTOACKNOWLEDGE_STATE_DEFAULT_INDEX

    public static final int AUTOACKNOWLEDGE_STATE_DEFAULT_INDEX

  Deprecated.
  The index into the CONFIGURATION_STATES array indicating the default state auto acknowlege. If the values array changes please update this index if needed.

  See Also:
    Constant Field Values

### TTICKET_STATE_DEFAULT_INDEX

    public static final int TTICKET_STATE_DEFAULT_INDEX

  Deprecated.
  The index into the CONFIGURATION_STATES array indicating the default state of an trouble ticket. If the values array changes please update this index if needed.

  See Also:
    Constant Field Values

Constructor Detail

### Event

    public Event()

  Deprecated.
  Default constructor, intializes the member variables.

Method Detail

### clone

    public java.lang.Object clone()

  Deprecated.

### addMask

    public void addMask(MaskElement element)

  Deprecated.

### getMask

    public java.util.List getMask()

  Deprecated.

### clearMask

    public void clearMask()

  Deprecated.

### removeMaskAt

    public void removeMaskAt(int index)

  Deprecated.

### setUei

    public void setUei(java.lang.String uei)

  Deprecated.

### getUei

    public java.lang.String getUei()

  Deprecated.

### setSnmp

    public void setSnmp(Snmp snmp)

  Deprecated.

### getSnmp

    public Snmp getSnmp()

  Deprecated.

### setDescription

    public void setDescription(java.lang.String description)

  Deprecated.

### getDescription

    public java.lang.String getDescription()

  Deprecated.

### setLogMessage

    public void setLogMessage(java.lang.String logMessage)

  Deprecated.

### getLogMessage

    public java.lang.String getLogMessage()

  Deprecated.

### setLogMessageDest

    public void setLogMessageDest(java.lang.String dest)

  Deprecated.

### getLogMessageDestination

    public java.lang.String getLogMessageDestination()

  Deprecated.

### setSeverity

    public void setSeverity(java.lang.String severity)

  Deprecated.

### getSeverity

    public java.lang.String getSeverity()

  Deprecated.

### setCorrelation

    public void setCorrelation(Correlation correlation)

  Deprecated.

### getCorrelation

    public Correlation getCorrelation()

  Deprecated.

### setOperInstruct

    public void setOperInstruct(java.lang.String operInstruct)

  Deprecated.

### getOperInstruct

    public java.lang.String getOperInstruct()

  Deprecated.

### setAutoAcknowledge

    public void setAutoAcknowledge(java.lang.String autoAcknowledge)

  Deprecated.

### getAutoAcknowledge

    public java.lang.String getAutoAcknowledge()

  Deprecated.

### setAutoAcknowledgeState

    public void setAutoAcknowledgeState(java.lang.String state)

  Deprecated.

### getAutoAcknowledgeState

    public java.lang.String getAutoAcknowledgeState()

  Deprecated.

### setTticket

    public void setTticket(java.lang.String tticket)

  Deprecated.

### getTTicket

    public java.lang.String getTTicket()

  Deprecated.

### setTticketState

    public void setTticketState(java.lang.String state)

  Deprecated.

### getTTicketState

    public java.lang.String getTTicketState()

  Deprecated.

### setMouseOverText

    public void setMouseOverText(java.lang.String text)

  Deprecated.

### getMouseOverText

    public java.lang.String getMouseOverText()

  Deprecated.

### addAutoAction

    public void addAutoAction(AutoAction action)

  Deprecated.

### getAutoActions

    public java.util.List getAutoActions()

  Deprecated.

### clearAutoActions

    public void clearAutoActions()

  Deprecated.

### addOperatorAction

    public void addOperatorAction(OperatorAction action)

  Deprecated.

### getOperatorActions

    public java.util.List getOperatorActions()

  Deprecated.

### clearOperatorActions

    public void clearOperatorActions()

  Deprecated.

### addForward

    public void addForward(Forward forward)

  Deprecated.

### getForwards

    public java.util.List getForwards()

  Deprecated.

### clearForwards

    public void clearForwards()

  Deprecated.

### addLogGroup

    public void addLogGroup(java.lang.String logGroup)

  Deprecated.

### getLogGroups

    public java.util.List getLogGroups()

  Deprecated.

### clearLogGroups

    public void clearLogGroups()

  Deprecated.

### addNotification

    public void addNotification(java.lang.String notification)

  Deprecated.

### getNotifications

    public java.util.List getNotifications()

  Deprecated.

### removeNoticeContaining

    public void removeNoticeContaining(java.lang.String matchString)

  Deprecated.

### getNoticeIndex

    public int getNoticeIndex(java.lang.String matchString)

  Deprecated.

### clearNotifications

    public void clearNotifications()

  Deprecated.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.